#ifndef PSAP_H
#define PSAP_H

#include "sysdef.h"

// 外部接口
void ps_ap_init(void);
uint8 ps_up_ap_in(uint8 *pbyData, uint8 bySource, uint16 wLen);
uint8 ps_down_ap_out(uint8 *pbyData, uint8 bySource, uint16 wLen);

// 内部接口
uint8 ps_ap_transfer(uint8 *pbyData, uint16 *wLen);
uint8 ps_ap_transfer_reverse(uint8 *pbyData, uint16 *wLen);
uint16 ps_crc16(uint8 *data, uint16 len, uint16 def_crc);
#endif
